﻿/*wwwroot/css/mainStyle.css*/

body {
    position: relative;
    padding: 20px;
}

    body::before {
        content: "";
        position: fixed;
        inset: 0;
        background-color: paleturquoise;
        background-size: auto; /* Originalgröße */
        background-attachment: scroll; /* Standard */
        /*opacity: 0.3;*/ /* Transparenz hier einstellen */
        z-index: -1;
    }

@keyframes blink {
    0% {opacity: 1;}
    50% {opacity: 0.4;}
    100% {opacity: 1;}
}

@media (max-width: 991px) {
    .navbar {
        background-size: cover !important;
        background-position: top center !important;
    }
}

/* 1. Navigation darf umbrechen */
.navbar-nav {
    flex-wrap: wrap;
}

/* 2. Layout untereinander bei kleinen Screens */
@media (max-width: 992px) {
    .navbar .d-flex.align-items-center {
        flex-direction: column;
        align-items: flex-start;
    }
}

/* 3. Links kompakter machen */
@media (max-width: 992px) {
    .navbar .nav-link {
        padding: 2px 4px;
        margin-right: 2px;
        margin-top: 2px;
        font-size: 0.9rem;
    }
}
